class GameObj {
  PVector position;
  PVector dimensions;
  PVector velocity;
  PVector acceleration;
  PVector colorVals;
  float H, S, B;
  boolean dontdraw;
  
  GameObj(PVector pos, PVector dimensions) {
    this.position = pos;
    this.dimensions = dimensions;
    this.velocity = new PVector(0,0);
    this.acceleration = new PVector(0,0);
    dontdraw = false;
    H = 0.5;
    S = 0.5;
    B = 0.5;
  }
  
  void update() {
    
  }
  
  void setColor(float h, float s, float b){
    H = h;
    S = s;
    B = b;
  }
  
  void draw() {
    // draw a rect
    //noStroke();
    strokeWeight(.5);
    fill(H,S,B);
    rect(position.x, position.y, dimensions.x, dimensions.y);
  }

}
